syms t
x=[-2 -1 1 2];
y=[-42 -14 0 10];
r=collect(simplify(poly2sym(polyfit(x,y,3),t)));
fplot(r,[-3,3]);
grid on;
ylim([-110,40]); %podesavanje raspona vrijednosti na osi ordinata
ax = gca;
ax.XAxisLocation = 'origin';
ax.YAxisLocation = 'origin';
xlabel('t');
ylabel('y');
title(['y = ',char(r)]);
hold on
plot(x,y,'ok','Linewidth',1)
T = strsplit(sprintf('%c\n\n','A':'D')); %Oznake tocaka
text(x, y, T(1:length(x)), 'HorizontalAlignment','left', 'VerticalAlignment','top','FontSize',16);